Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver.commands
Class SendFileCommand

    java.lang.Object
      |
      +--net.sf.antcontrib.antserver.commands.SendFileCommand

All Implemented Interfaces:
  Command, java.io.Serializable

public class SendFileCommand
extends java.lang.Object
implements Command

Place class description here.

Since:
Author:
  inger,
See Also:
  Serialized Form

Constructor Summary
`SendFileCommand()`

Method Summary
`boolean` | `execute(org.apache.tools.ant.Project project, java.io.ObjectInputStream stream)` Execute the command.
`java.io.File` | `getFile()`
`java.lang.String` | `getTodir()`
`java.lang.String` | `getTofile()`
`void` | `localExecute(org.apache.tools.ant.Project project, java.io.ObjectOutputStream stream)`
`void` | `setFile(java.io.File file)`
`void` | `setTodir(java.lang.String todir)`
`void` | `setTofile(java.lang.String tofile)`
`void` | `validate()` This should throw a build exception if the parameters are invalid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendFileCommand

    public SendFileCommand()

Method Detail

### getFile

    public java.io.File getFile()

### setFile

    public void setFile(java.io.File file)

### getTofile

    public java.lang.String getTofile()

### setTofile

    public void setTofile(java.lang.String tofile)

### getTodir

    public java.lang.String getTodir()

### setTodir

    public void setTodir(java.lang.String todir)

### validate

    public void validate()

  Description copied from interface: `Command`
  This should throw a build exception if the parameters are invalid.

  Specified by:
    `validate` in interface `Command`

### execute

    public boolean execute(org.apache.tools.ant.Project project,
                           java.io.ObjectInputStream stream)
                    throws java.lang.Throwable

  Description copied from interface: `Command`
  Execute the command.

  Specified by:
    `execute` in interface `Command`
  Parameters:
    `project` -
  Returns:
    If true, the connection will be closed
  Throws:
    `java.lang.Throwable`

### localExecute

    public void localExecute(org.apache.tools.ant.Project project,
                             java.io.ObjectOutputStream stream)
                      throws java.io.IOException

  Specified by:
    `localExecute` in interface `Command`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD